<?php


function aitGetTourMapData($post, $elementID, $mapName="")
{
    $meta = $post->meta('obituary-data');


    $checkpoints = ($meta->checkpoints);


    $mapData                 = new stdClass();
    $mapData->mapName        = $mapName;
    $mapData->containerID    = $elementID;
    $mapData->markers        = array();
    $mapData->buildPath      = true;
    // $mapData->showAllMarkers = (bool)$meta->showAllMarkers;
    // $mapData->strokeColor    = $meta->strokeColor;

    if (!$checkpoints) {
        return $mapData;
    }

    foreach ($checkpoints as $checkpoint) {
        $size = aitGetImageSize($checkpoint['icon']);
        $marker = (object)array(
            'lat'     => $checkpoint['lat'],
            'lng'     => $checkpoint['lng'],
            'title'   => $checkpoint['title'],
            'context' => nl2br($checkpoint['desc']),
            'icon'    => $checkpoint['icon'],
            'align'   => $checkpoint['align'],
            'h'       => $size[0],
            'w'       => $size[0],
        );
        array_push($mapData->markers, $marker);
    }

    return $mapData;
}

function aitGetImageSize($imagePath)
{
    $default = $imagePath;
    $default = str_replace(site_url(), "", $default);
    $default = ABSPATH . $default;
    list($width, $height, $type, $attr) = getimagesize($default);
    return array($width, $height);
}

add_action( 'woocommerce_before_shop_loop_item_title', function(){
    echo "<div class= info-wrapper> <div class= info>";
} );

add_action( 'woocommerce_after_shop_loop_item_title', function(){
    echo "</div></div>";
} );