
/* Main Initialization Hook */
jQuery(document).ready(function(){
	gm_authFailure = function(){
		var apiBanner = document.createElement('div');
		var a = document.createElement('a');
		var linkText = document.createTextNode("Read more");
		a.appendChild(linkText);
		a.title = "Read more";
		a.href = "https://www.ait-themes.club/knowledge-base/google-maps-api-error/";
		a.target = "_blank";

		apiBanner.className = "alert alert-info";
		var bannerText = document.createTextNode("Please check Google API key settings");
		apiBanner.appendChild(bannerText);
		apiBanner.appendChild(document.createElement('br'));
		apiBanner.appendChild(a);

		jQuery(".google-map-container").html(apiBanner);
	};


	"use strict";

	/* menu.js initialization */
	desktopMenu();
	responsiveMenu();
	/* menu.js initialization */

	/* portfolio-item.js initialization */
	portfolioSingleToggles();
	/* portfolio-item.js initialization */

	/* custom.js initialization */
	renameUiClasses();
	removeUnwantedClasses();

	initWPGallery();
	initColorbox();
	initRatings();
	initInfieldLabels();
	initSelectBox();

	notificationClose();
	/* custom.js initialization */

	/* Theme Dependent FIX Functions */
		/* LANGWITCH */
		//fixLanguageMenu();
		/* LANGWITCH */
	/* Theme Dependent FIX Functions */
	obituaryGallerySlider();
	obituaryToggle();


	obituaryVideoColorbox();
});
/* Main Initialization Hook */

/* Theme Dependenent Fix Functions */
// Langwitch | Language Dropdown
function fixLanguageMenu(){
	if(isResponsive(640)){
		// only run at 640px-
		jQuery('.language-icons a.current-lang').bind('touchstart MSPointerDown', function(){
			if(jQuery('.language-icons').hasClass('menu-opened')){
				jQuery('.language-icons .language-icons__list').hide();
			} else {
				jQuery('.language-icons .language-icons__list').show();
			}
			jQuery('.language-icons').toggleClass('menu-opened');

			return false;
		});
	}
}
/* Theme Dependenent Fix Function */


function obituaryVideoColorbox(){

		var element = jQuery('#obituary-video'),
			href = element.attr('href');

		if(typeof href != "undefined"){
			if(href.indexOf("youtube") != -1){
				var regExp = /(?:youtube(?:-nocookie)?\.com\/(?:[^\/]+\/.+\/|(?:v|e(?:mbed)?)\/|.*[?&]v=)|youtu\.be\/)([^"&?\/ ]{11})/i;
				var match = href.match(regExp);
				href = "https://www.youtube.com/embed/" + match[1] + "?wmode=opaque&amp;showinfo=0&amp;enablejsapi=1"
			}else{
				var regExp = /https?:\/\/(?:www\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|)(\d+)(?:$|\/|\?)/;
				var match = href.match(regExp);
				href = "https://player.vimeo.com/video/"+match[3]+"?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff";
			}
		}


		element.colorbox({
			'iframe'        : true,
			'href'          : href,
			'transition'    : 'elastic',
			'speed'         : 600,
			'innerWidth'    : 853,
			'innerHeight'   : 505,
			'maxWidth'      : "95%", //elem.parent().width(),
			'maxHeight'     : "95%", //toInt(elem.parent().width()/1.5)
		});
}

